<?php



namespace App\Http\Middleware;



use Closure;

use Session;




class frontAuth

{

    /**

     * Handle an incoming request.

     *

     * @param  \Illuminate\Http\Request  $request

     * @param  \Closure  $next

     * @return mixed
    
     */

    public function handle($request, Closure $next)

    {

        if(Session::has('userLoginInfo')){

            $master= new \App\Master;
            // $d=$master->getUserInfo();
            return $next($request);

        }else{

            return redirect('/');

        }

    }

}

